Can't open installer MAC OS X v10.5.8 Help!

Mac Technical Support
Hi, I'm downloading the zip files for hearthstone and the desktop beta client from the blizzard site. However once I unzip the files with Archive Utility like all the other supports say, i get the installer icon on the desktop however it has a cross through it. When I open it i get an error "You cannot use this version of the application Hearthstone-Beta-Setup-enUS.app with this version of Mac OS X. I've updated my Mac since getting the beta but can't find a solution. Am I missing something? Thanks
This is because blizzard have zipped the installer!
This change the permissions of the file inside the installer.app
you have right click on the installer, > go inside the package (i've in italian, i dunno how it is in eng) > /Contents/MacOS/Hearthstone Beta Setup
then open your terminal, write "chmod +x " and than drop the file in the terminal window
you should have something like:

"chmod + x /Users/***/Desktop/Hearthstone-Beta-Setup-itIT.app/Contents/MacOS/Hearthstone Beta Setup"

ok than press Enter.

It's done, now the installer will work!
still not working, i get this response from the terminal:

10-196-44-118:~ keenannonaka$ chmod +x/Users/keenannonaka/Desktop/Hearthstone-Beta-Setup-enUS.app/Contents/MacOS/Hearthstone\ Beta\ Setup
usage: chmod [-fhv] [-R [-H | -L | -P]] [-a | +a | =a [i][# [ n]]] mode|entry file ...
chmod [-fhv] [-R [-H | -L | -P]] [-E | -C | -i | -I] file ...

didnt know if there is a space after x but i got
10-196-44-118:~ keenannonaka$ chmod +x /Users/keenannonaka/Desktop/Hearthstone-Beta-Setup-enUS.app/Contents/MacOS/Hearthstone\ Beta\ Setup
Read your requirements...
Must be OS X 10.8 or later
didn't understand, did it work?
Read your requirements...
Must be OS X 10.8 or later


It works fine in 10.6.8. 10.8 is only recommended. You said you updated your Mac. Does that include your OS?

Join the Conversation

Return to Forum